summaryrefslogtreecommitdiff
path: root/t/no-spurious-install-recursive.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/no-spurious-install-recursive.sh')
-rw-r--r--t/no-spurious-install-recursive.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/t/no-spurious-install-recursive.sh b/t/no-spurious-install-recursive.sh
new file mode 100644
index 000000000..f5c91374e
--- /dev/null
+++ b/t/no-spurious-install-recursive.sh
@@ -0,0 +1,32 @@
+#! /bin/sh
+# Copyright (C) 2003-2017 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+# Regression test for install-recursive appearing in a non recursive Makefile.
+# Report from Bruno Haible.
+
+. test-init.sh
+
+cat > Makefile.am << 'END'
+noinst_SCRIPTS = hostname
+include_HEADERS = gettext-po.h
+BUILT_SOURCES = po-hash-gen.c
+END
+
+$ACLOCAL
+$AUTOMAKE
+grep 'install-recursive' Makefile.in && exit 1
+
+: